Page 1 of 1

Warning: ZIP extension needs to be loaded

Posted: Thu Oct 30, 2014 12:52 am
by dazoosh
During step 2/4 of OpenCart Pre-Installation i'm getting...

Warning: ZIP extension needs to be loaded for OpenCart to work!

How do I install the ZIP extension?

Can this be done via WHM or cPanel as i'm not really clued up on shell.

Thanks in advance.

Re: Warning: ZIP extension needs to be loaded

Posted: Thu Oct 30, 2014 1:46 am
by uksitebuilder
The zip extension is needed for extracting uploaded extensions

You should ask your host as to why this module is not installed on the server or if they will install it for you.

Re: Warning: ZIP extension needs to be loaded

Posted: Thu Oct 30, 2014 2:56 am
by dazoosh
Hi uksb,

Thanks for taking the time to reply.

Its a dedicated / not managed server but managed to figure it out.

WHM > Easy Apache > Customise profile > Checked ZIP in Exhaustive Options List > Build and Recompile

Hope this helps someone else in the future.

Re: Warning: ZIP extension needs to be loaded

Posted: Mon Nov 24, 2014 5:54 am
by razaqadams
Hey,

Please could you expand on this. How can I enable the zip function in cPanel?

Thanks

Re: Warning: ZIP extension needs to be loaded

Posted: Sat Apr 25, 2015 9:02 pm
by Marcopolo
Hello , please help me how enable mcrypt and zip on localhost


thank you

Re: Warning: ZIP extension needs to be loaded

Posted: Sat Apr 25, 2015 9:14 pm
by OSWorX
Marcopolo wrote:Hello , please help me how enable mcrypt and zip on localhost


thank you
Well,

1. you should know how to administer a server
2. is this a forum about OpenCart and not server related issues
3. a quick search (e.g. with Google) gave me 1.7 mio results - guess at least 1 is for you ..

Re: Warning: ZIP extension needs to be loaded

Posted: Sat Apr 25, 2015 9:19 pm
by Marcopolo
i believe it was be easier to help me , then route me to the google,

believe me i make a lot of search on google but still doesn't work

and this issue is not with my local hosting , it's opencart installing second step.


thanks for your help

Re: Warning: ZIP extension needs to be loaded

Posted: Thu Dec 31, 2015 12:41 am
by naeemdal
dazoosh already answered. Did you contacted with your host?